async function getContent(url) {
  const res = await fetch(url.concat('/download'));
  return res.text();
}

async function migrateDocument(url, baseUrl) {
  const content = await getContent(url);
  cy.request({
    url: baseUrl.concat('/new'),
    method: 'POST',
    headers: {
      'Content-Type': 'text/markdown',
      'Access-Control-Allow-Origin': new URL(baseUrl).hostname,
    },
    body: content,
  }).then((res) => {
    const redirect = res.redirects[0].split(' ')[1];
    cy.visit(url);
    cy.get('#view-mode-toggle-edit').click({force: true});
    cy.get('.CodeMirror-scroll').type('{ctrl}a{backspace}');
    cy.get('.CodeMirror-scroll').type(`Moved to [${redirect}](${redirect})`);
  });
}

describe('Migrate document', () => {
  it('passes', async () => {
    const baseUrl = 'https://md.margau.net';
    const url = 'https://md.margau.net/H0JO3L5DS-6Yhv4RrdS-tw';
    migrateDocument(url, baseUrl);
  });
});
